package com.kdanmobile.reader.thumb.mode

import com.kdanmobile.reader.thumb.PdfThumbAdapter
import com.kdanmobile.reader.thumb.PdfThumbDialogFragment

class NormalMode: Mode() {
    override fun onClickToolBarNavigation() {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun updateToolbar() {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun onPageItemClick(fragment: PdfThumbDialogFragment, pageIndex: Int, selectMap: MutableMap<Int, Boolean>, pdfThumbAdapter: PdfThumbAdapter) {
        fragment.moveToPage(pageIndex)
        fragment.dismiss()
    }
}